package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductCategoryVo;
import lombok.Data;
/**
* 产品分类实体对象
*
* @author zxfei
* @date 2023-09-11
*/
@Data
public class ProductCategoryEntity extends ProductCategoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品id
    */
    private Long productId;
    /**
    * 分类id
    */
    private Long categoryId;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 分类名称
    */
    private String categoryName;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductCategoryEntity) {
            ProductCategoryEntity tmp = (ProductCategoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.productId = 0L;
            this.categoryId = 0L;
            this.productName = "";
            this.categoryName = "";
            this.remark = "";
    }
}